Package helma.scripting.rhino

# Class HacHspConverter

java.lang.Object
helma.scripting.rhino.HacHspConverter

public class HacHspConverter extends Object
Support for .hac (action) and .hsp (template) files

## Constructor Summary

Constructors
Constructor
Description
`HacHspConverter()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`convertHac(Resource action, String encoding)`
`static String`
`convertHsp(Resource template, String encoding)`
`static String`
`convertHspAsString(Resource template, String encoding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HacHspConverter

public HacHspConverter()

## Method Details

### convertHac

public static String convertHac(Resource action, String encoding) throws IOException

Throws:
  `IOException`

### convertHsp

public static String convertHsp(Resource template, String encoding) throws IOException

Throws:
  `IOException`

### convertHspAsString

public static String convertHspAsString(Resource template, String encoding) throws IOException

Throws:
  `IOException`